﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.0.3705.6060
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class VersusSQI : DataSet {
        
        private SQIVRPTDataTable tableSQIVRPT;
        
        public VersusSQI() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected VersusSQI(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["SQIVRPT"] != null)) {
                    this.Tables.Add(new SQIVRPTDataTable(ds.Tables["SQIVRPT"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public SQIVRPTDataTable SQIVRPT {
            get {
                return this.tableSQIVRPT;
            }
        }
        
        public override DataSet Clone() {
            VersusSQI cln = ((VersusSQI)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["SQIVRPT"] != null)) {
                this.Tables.Add(new SQIVRPTDataTable(ds.Tables["SQIVRPT"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableSQIVRPT = ((SQIVRPTDataTable)(this.Tables["SQIVRPT"]));
            if ((this.tableSQIVRPT != null)) {
                this.tableSQIVRPT.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "VersusSQI";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/VersusSQI.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableSQIVRPT = new SQIVRPTDataTable();
            this.Tables.Add(this.tableSQIVRPT);
        }
        
        private bool ShouldSerializeSQIVRPT() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void SQIVRPTRowChangeEventHandler(object sender, SQIVRPTRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQIVRPTDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnconsignment_no;
            
            private DataColumn columnref_no;
            
            private DataColumn columnbooking_no;
            
            private DataColumn columnsender_name;
            
            private DataColumn columnsender_address1;
            
            private DataColumn columnsender_address2;
            
            private DataColumn columnsender_zipcode;
            
            private DataColumn columnrecipient_name;
            
            private DataColumn columnrecipient_address1;
            
            private DataColumn columnrecipient_address2;
            
            private DataColumn columnrecipient_state_name;
            
            private DataColumn columnrecipient_zipcode;
            
            private DataColumn columnorigin_state_code;
            
            private DataColumn columndestination_state_code;
            
            private DataColumn columndelivery_route;
            
            private DataColumn columnbooking_datetime;
            
            private DataColumn columnact_pickup_datetime;
            
            private DataColumn columnact_delivery_date;
            
            private DataColumn columnact_hc_return_datetime;
            
            private DataColumn columnrecipient_telephone;
            
            private DataColumn columnsender_state_name;
            
            private DataColumn columnsCode1;
            
            private DataColumn columnsCode2;
            
            private DataColumn columnsCode1DT;
            
            private DataColumn columnsCode2DT;
            
            private DataColumn columnTotalTime;
            
            internal SQIVRPTDataTable() : 
                    base("SQIVRPT") {
                this.InitClass();
            }
            
            internal SQIVRPTDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn consignment_noColumn {
                get {
                    return this.columnconsignment_no;
                }
            }
            
            internal DataColumn ref_noColumn {
                get {
                    return this.columnref_no;
                }
            }
            
            internal DataColumn booking_noColumn {
                get {
                    return this.columnbooking_no;
                }
            }
            
            internal DataColumn sender_nameColumn {
                get {
                    return this.columnsender_name;
                }
            }
            
            internal DataColumn sender_address1Column {
                get {
                    return this.columnsender_address1;
                }
            }
            
            internal DataColumn sender_address2Column {
                get {
                    return this.columnsender_address2;
                }
            }
            
            internal DataColumn sender_zipcodeColumn {
                get {
                    return this.columnsender_zipcode;
                }
            }
            
            internal DataColumn recipient_nameColumn {
                get {
                    return this.columnrecipient_name;
                }
            }
            
            internal DataColumn recipient_address1Column {
                get {
                    return this.columnrecipient_address1;
                }
            }
            
            internal DataColumn recipient_address2Column {
                get {
                    return this.columnrecipient_address2;
                }
            }
            
            internal DataColumn recipient_state_nameColumn {
                get {
                    return this.columnrecipient_state_name;
                }
            }
            
            internal DataColumn recipient_zipcodeColumn {
                get {
                    return this.columnrecipient_zipcode;
                }
            }
            
            internal DataColumn origin_state_codeColumn {
                get {
                    return this.columnorigin_state_code;
                }
            }
            
            internal DataColumn destination_state_codeColumn {
                get {
                    return this.columndestination_state_code;
                }
            }
            
            internal DataColumn delivery_routeColumn {
                get {
                    return this.columndelivery_route;
                }
            }
            
            internal DataColumn booking_datetimeColumn {
                get {
                    return this.columnbooking_datetime;
                }
            }
            
            internal DataColumn act_pickup_datetimeColumn {
                get {
                    return this.columnact_pickup_datetime;
                }
            }
            
            internal DataColumn act_delivery_dateColumn {
                get {
                    return this.columnact_delivery_date;
                }
            }
            
            internal DataColumn act_hc_return_datetimeColumn {
                get {
                    return this.columnact_hc_return_datetime;
                }
            }
            
            internal DataColumn recipient_telephoneColumn {
                get {
                    return this.columnrecipient_telephone;
                }
            }
            
            internal DataColumn sender_state_nameColumn {
                get {
                    return this.columnsender_state_name;
                }
            }
            
            internal DataColumn sCode1Column {
                get {
                    return this.columnsCode1;
                }
            }
            
            internal DataColumn sCode2Column {
                get {
                    return this.columnsCode2;
                }
            }
            
            internal DataColumn sCode1DTColumn {
                get {
                    return this.columnsCode1DT;
                }
            }
            
            internal DataColumn sCode2DTColumn {
                get {
                    return this.columnsCode2DT;
                }
            }
            
            internal DataColumn TotalTimeColumn {
                get {
                    return this.columnTotalTime;
                }
            }
            
            public SQIVRPTRow this[int index] {
                get {
                    return ((SQIVRPTRow)(this.Rows[index]));
                }
            }
            
            public event SQIVRPTRowChangeEventHandler SQIVRPTRowChanged;
            
            public event SQIVRPTRowChangeEventHandler SQIVRPTRowChanging;
            
            public event SQIVRPTRowChangeEventHandler SQIVRPTRowDeleted;
            
            public event SQIVRPTRowChangeEventHandler SQIVRPTRowDeleting;
            
            public void AddSQIVRPTRow(SQIVRPTRow row) {
                this.Rows.Add(row);
            }
            
            public SQIVRPTRow AddSQIVRPTRow(
                        string consignment_no, 
                        string ref_no, 
                        string booking_no, 
                        string sender_name, 
                        string sender_address1, 
                        string sender_address2, 
                        string sender_zipcode, 
                        string recipient_name, 
                        string recipient_address1, 
                        string recipient_address2, 
                        string recipient_state_name, 
                        string recipient_zipcode, 
                        string origin_state_code, 
                        string destination_state_code, 
                        string delivery_route, 
                        System.DateTime booking_datetime, 
                        System.DateTime act_pickup_datetime, 
                        System.DateTime act_delivery_date, 
                        System.DateTime act_hc_return_datetime, 
                        string recipient_telephone, 
                        string sender_state_name, 
                        string sCode1, 
                        string sCode2, 
                        System.DateTime sCode1DT, 
                        System.DateTime sCode2DT, 
                        int TotalTime) {
                SQIVRPTRow rowSQIVRPTRow = ((SQIVRPTRow)(this.NewRow()));
                rowSQIVRPTRow.ItemArray = new object[] {
                        consignment_no,
                        ref_no,
                        booking_no,
                        sender_name,
                        sender_address1,
                        sender_address2,
                        sender_zipcode,
                        recipient_name,
                        recipient_address1,
                        recipient_address2,
                        recipient_state_name,
                        recipient_zipcode,
                        origin_state_code,
                        destination_state_code,
                        delivery_route,
                        booking_datetime,
                        act_pickup_datetime,
                        act_delivery_date,
                        act_hc_return_datetime,
                        recipient_telephone,
                        sender_state_name,
                        sCode1,
                        sCode2,
                        sCode1DT,
                        sCode2DT,
                        TotalTime};
                this.Rows.Add(rowSQIVRPTRow);
                return rowSQIVRPTRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                SQIVRPTDataTable cln = ((SQIVRPTDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new SQIVRPTDataTable();
            }
            
            internal void InitVars() {
                this.columnconsignment_no = this.Columns["consignment_no"];
                this.columnref_no = this.Columns["ref_no"];
                this.columnbooking_no = this.Columns["booking_no"];
                this.columnsender_name = this.Columns["sender_name"];
                this.columnsender_address1 = this.Columns["sender_address1"];
                this.columnsender_address2 = this.Columns["sender_address2"];
                this.columnsender_zipcode = this.Columns["sender_zipcode"];
                this.columnrecipient_name = this.Columns["recipient_name"];
                this.columnrecipient_address1 = this.Columns["recipient_address1"];
                this.columnrecipient_address2 = this.Columns["recipient_address2"];
                this.columnrecipient_state_name = this.Columns["recipient_state_name"];
                this.columnrecipient_zipcode = this.Columns["recipient_zipcode"];
                this.columnorigin_state_code = this.Columns["origin_state_code"];
                this.columndestination_state_code = this.Columns["destination_state_code"];
                this.columndelivery_route = this.Columns["delivery_route"];
                this.columnbooking_datetime = this.Columns["booking_datetime"];
                this.columnact_pickup_datetime = this.Columns["act_pickup_datetime"];
                this.columnact_delivery_date = this.Columns["act_delivery_date"];
                this.columnact_hc_return_datetime = this.Columns["act_hc_return_datetime"];
                this.columnrecipient_telephone = this.Columns["recipient_telephone"];
                this.columnsender_state_name = this.Columns["sender_state_name"];
                this.columnsCode1 = this.Columns["sCode1"];
                this.columnsCode2 = this.Columns["sCode2"];
                this.columnsCode1DT = this.Columns["sCode1DT"];
                this.columnsCode2DT = this.Columns["sCode2DT"];
                this.columnTotalTime = this.Columns["TotalTime"];
            }
            
            private void InitClass() {
                this.columnconsignment_no = new DataColumn("consignment_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnconsignment_no);
                this.columnref_no = new DataColumn("ref_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnref_no);
                this.columnbooking_no = new DataColumn("booking_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnbooking_no);
                this.columnsender_name = new DataColumn("sender_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_name);
                this.columnsender_address1 = new DataColumn("sender_address1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_address1);
                this.columnsender_address2 = new DataColumn("sender_address2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_address2);
                this.columnsender_zipcode = new DataColumn("sender_zipcode", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_zipcode);
                this.columnrecipient_name = new DataColumn("recipient_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_name);
                this.columnrecipient_address1 = new DataColumn("recipient_address1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_address1);
                this.columnrecipient_address2 = new DataColumn("recipient_address2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_address2);
                this.columnrecipient_state_name = new DataColumn("recipient_state_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_state_name);
                this.columnrecipient_zipcode = new DataColumn("recipient_zipcode", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_zipcode);
                this.columnorigin_state_code = new DataColumn("origin_state_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnorigin_state_code);
                this.columndestination_state_code = new DataColumn("destination_state_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndestination_state_code);
                this.columndelivery_route = new DataColumn("delivery_route", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndelivery_route);
                this.columnbooking_datetime = new DataColumn("booking_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnbooking_datetime);
                this.columnact_pickup_datetime = new DataColumn("act_pickup_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnact_pickup_datetime);
                this.columnact_delivery_date = new DataColumn("act_delivery_date", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnact_delivery_date);
                this.columnact_hc_return_datetime = new DataColumn("act_hc_return_datetime", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnact_hc_return_datetime);
                this.columnrecipient_telephone = new DataColumn("recipient_telephone", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnrecipient_telephone);
                this.columnsender_state_name = new DataColumn("sender_state_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsender_state_name);
                this.columnsCode1 = new DataColumn("sCode1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode1);
                this.columnsCode2 = new DataColumn("sCode2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode2);
                this.columnsCode1DT = new DataColumn("sCode1DT", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode1DT);
                this.columnsCode2DT = new DataColumn("sCode2DT", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsCode2DT);
                this.columnTotalTime = new DataColumn("TotalTime", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTotalTime);
            }
            
            public SQIVRPTRow NewSQIVRPTRow() {
                return ((SQIVRPTRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new SQIVRPTRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(SQIVRPTRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.SQIVRPTRowChanged != null)) {
                    this.SQIVRPTRowChanged(this, new SQIVRPTRowChangeEvent(((SQIVRPTRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.SQIVRPTRowChanging != null)) {
                    this.SQIVRPTRowChanging(this, new SQIVRPTRowChangeEvent(((SQIVRPTRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.SQIVRPTRowDeleted != null)) {
                    this.SQIVRPTRowDeleted(this, new SQIVRPTRowChangeEvent(((SQIVRPTRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.SQIVRPTRowDeleting != null)) {
                    this.SQIVRPTRowDeleting(this, new SQIVRPTRowChangeEvent(((SQIVRPTRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveSQIVRPTRow(SQIVRPTRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQIVRPTRow : DataRow {
            
            private SQIVRPTDataTable tableSQIVRPT;
            
            internal SQIVRPTRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableSQIVRPT = ((SQIVRPTDataTable)(this.Table));
            }
            
            public string consignment_no {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.consignment_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.consignment_noColumn] = value;
                }
            }
            
            public string ref_no {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.ref_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.ref_noColumn] = value;
                }
            }
            
            public string booking_no {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.booking_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.booking_noColumn] = value;
                }
            }
            
            public string sender_name {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sender_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sender_nameColumn] = value;
                }
            }
            
            public string sender_address1 {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sender_address1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sender_address1Column] = value;
                }
            }
            
            public string sender_address2 {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sender_address2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sender_address2Column] = value;
                }
            }
            
            public string sender_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sender_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sender_zipcodeColumn] = value;
                }
            }
            
            public string recipient_name {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.recipient_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.recipient_nameColumn] = value;
                }
            }
            
            public string recipient_address1 {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.recipient_address1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.recipient_address1Column] = value;
                }
            }
            
            public string recipient_address2 {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.recipient_address2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.recipient_address2Column] = value;
                }
            }
            
            public string recipient_state_name {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.recipient_state_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.recipient_state_nameColumn] = value;
                }
            }
            
            public string recipient_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.recipient_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.recipient_zipcodeColumn] = value;
                }
            }
            
            public string origin_state_code {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.origin_state_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.origin_state_codeColumn] = value;
                }
            }
            
            public string destination_state_code {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.destination_state_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.destination_state_codeColumn] = value;
                }
            }
            
            public string delivery_route {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.delivery_routeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.delivery_routeColumn] = value;
                }
            }
            
            public System.DateTime booking_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQIVRPT.booking_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.booking_datetimeColumn] = value;
                }
            }
            
            public System.DateTime act_pickup_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQIVRPT.act_pickup_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.act_pickup_datetimeColumn] = value;
                }
            }
            
            public System.DateTime act_delivery_date {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQIVRPT.act_delivery_dateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.act_delivery_dateColumn] = value;
                }
            }
            
            public System.DateTime act_hc_return_datetime {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQIVRPT.act_hc_return_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.act_hc_return_datetimeColumn] = value;
                }
            }
            
            public string recipient_telephone {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.recipient_telephoneColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.recipient_telephoneColumn] = value;
                }
            }
            
            public string sender_state_name {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sender_state_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sender_state_nameColumn] = value;
                }
            }
            
            public string sCode1 {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sCode1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sCode1Column] = value;
                }
            }
            
            public string sCode2 {
                get {
                    try {
                        return ((string)(this[this.tableSQIVRPT.sCode2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sCode2Column] = value;
                }
            }
            
            public System.DateTime sCode1DT {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQIVRPT.sCode1DTColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sCode1DTColumn] = value;
                }
            }
            
            public System.DateTime sCode2DT {
                get {
                    try {
                        return ((System.DateTime)(this[this.tableSQIVRPT.sCode2DTColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.sCode2DTColumn] = value;
                }
            }
            
            public int TotalTime {
                get {
                    try {
                        return ((int)(this[this.tableSQIVRPT.TotalTimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIVRPT.TotalTimeColumn] = value;
                }
            }
            
            public bool Isconsignment_noNull() {
                return this.IsNull(this.tableSQIVRPT.consignment_noColumn);
            }
            
            public void Setconsignment_noNull() {
                this[this.tableSQIVRPT.consignment_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isref_noNull() {
                return this.IsNull(this.tableSQIVRPT.ref_noColumn);
            }
            
            public void Setref_noNull() {
                this[this.tableSQIVRPT.ref_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isbooking_noNull() {
                return this.IsNull(this.tableSQIVRPT.booking_noColumn);
            }
            
            public void Setbooking_noNull() {
                this[this.tableSQIVRPT.booking_noColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_nameNull() {
                return this.IsNull(this.tableSQIVRPT.sender_nameColumn);
            }
            
            public void Setsender_nameNull() {
                this[this.tableSQIVRPT.sender_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_address1Null() {
                return this.IsNull(this.tableSQIVRPT.sender_address1Column);
            }
            
            public void Setsender_address1Null() {
                this[this.tableSQIVRPT.sender_address1Column] = System.Convert.DBNull;
            }
            
            public bool Issender_address2Null() {
                return this.IsNull(this.tableSQIVRPT.sender_address2Column);
            }
            
            public void Setsender_address2Null() {
                this[this.tableSQIVRPT.sender_address2Column] = System.Convert.DBNull;
            }
            
            public bool Issender_zipcodeNull() {
                return this.IsNull(this.tableSQIVRPT.sender_zipcodeColumn);
            }
            
            public void Setsender_zipcodeNull() {
                this[this.tableSQIVRPT.sender_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_nameNull() {
                return this.IsNull(this.tableSQIVRPT.recipient_nameColumn);
            }
            
            public void Setrecipient_nameNull() {
                this[this.tableSQIVRPT.recipient_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_address1Null() {
                return this.IsNull(this.tableSQIVRPT.recipient_address1Column);
            }
            
            public void Setrecipient_address1Null() {
                this[this.tableSQIVRPT.recipient_address1Column] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_address2Null() {
                return this.IsNull(this.tableSQIVRPT.recipient_address2Column);
            }
            
            public void Setrecipient_address2Null() {
                this[this.tableSQIVRPT.recipient_address2Column] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_state_nameNull() {
                return this.IsNull(this.tableSQIVRPT.recipient_state_nameColumn);
            }
            
            public void Setrecipient_state_nameNull() {
                this[this.tableSQIVRPT.recipient_state_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_zipcodeNull() {
                return this.IsNull(this.tableSQIVRPT.recipient_zipcodeColumn);
            }
            
            public void Setrecipient_zipcodeNull() {
                this[this.tableSQIVRPT.recipient_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Isorigin_state_codeNull() {
                return this.IsNull(this.tableSQIVRPT.origin_state_codeColumn);
            }
            
            public void Setorigin_state_codeNull() {
                this[this.tableSQIVRPT.origin_state_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isdestination_state_codeNull() {
                return this.IsNull(this.tableSQIVRPT.destination_state_codeColumn);
            }
            
            public void Setdestination_state_codeNull() {
                this[this.tableSQIVRPT.destination_state_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isdelivery_routeNull() {
                return this.IsNull(this.tableSQIVRPT.delivery_routeColumn);
            }
            
            public void Setdelivery_routeNull() {
                this[this.tableSQIVRPT.delivery_routeColumn] = System.Convert.DBNull;
            }
            
            public bool Isbooking_datetimeNull() {
                return this.IsNull(this.tableSQIVRPT.booking_datetimeColumn);
            }
            
            public void Setbooking_datetimeNull() {
                this[this.tableSQIVRPT.booking_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isact_pickup_datetimeNull() {
                return this.IsNull(this.tableSQIVRPT.act_pickup_datetimeColumn);
            }
            
            public void Setact_pickup_datetimeNull() {
                this[this.tableSQIVRPT.act_pickup_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isact_delivery_dateNull() {
                return this.IsNull(this.tableSQIVRPT.act_delivery_dateColumn);
            }
            
            public void Setact_delivery_dateNull() {
                this[this.tableSQIVRPT.act_delivery_dateColumn] = System.Convert.DBNull;
            }
            
            public bool Isact_hc_return_datetimeNull() {
                return this.IsNull(this.tableSQIVRPT.act_hc_return_datetimeColumn);
            }
            
            public void Setact_hc_return_datetimeNull() {
                this[this.tableSQIVRPT.act_hc_return_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isrecipient_telephoneNull() {
                return this.IsNull(this.tableSQIVRPT.recipient_telephoneColumn);
            }
            
            public void Setrecipient_telephoneNull() {
                this[this.tableSQIVRPT.recipient_telephoneColumn] = System.Convert.DBNull;
            }
            
            public bool Issender_state_nameNull() {
                return this.IsNull(this.tableSQIVRPT.sender_state_nameColumn);
            }
            
            public void Setsender_state_nameNull() {
                this[this.tableSQIVRPT.sender_state_nameColumn] = System.Convert.DBNull;
            }
            
            public bool IssCode1Null() {
                return this.IsNull(this.tableSQIVRPT.sCode1Column);
            }
            
            public void SetsCode1Null() {
                this[this.tableSQIVRPT.sCode1Column] = System.Convert.DBNull;
            }
            
            public bool IssCode2Null() {
                return this.IsNull(this.tableSQIVRPT.sCode2Column);
            }
            
            public void SetsCode2Null() {
                this[this.tableSQIVRPT.sCode2Column] = System.Convert.DBNull;
            }
            
            public bool IssCode1DTNull() {
                return this.IsNull(this.tableSQIVRPT.sCode1DTColumn);
            }
            
            public void SetsCode1DTNull() {
                this[this.tableSQIVRPT.sCode1DTColumn] = System.Convert.DBNull;
            }
            
            public bool IssCode2DTNull() {
                return this.IsNull(this.tableSQIVRPT.sCode2DTColumn);
            }
            
            public void SetsCode2DTNull() {
                this[this.tableSQIVRPT.sCode2DTColumn] = System.Convert.DBNull;
            }
            
            public bool IsTotalTimeNull() {
                return this.IsNull(this.tableSQIVRPT.TotalTimeColumn);
            }
            
            public void SetTotalTimeNull() {
                this[this.tableSQIVRPT.TotalTimeColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQIVRPTRowChangeEvent : EventArgs {
            
            private SQIVRPTRow eventRow;
            
            private DataRowAction eventAction;
            
            public SQIVRPTRowChangeEvent(SQIVRPTRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public SQIVRPTRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
